FreeMat

- Main Page
- Related Pages

vtkImageIterateFilter

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImageIterateFilter is a filter superclass that supports calling execute multiple times per update. The largest hack/open issue is that the input and output caches are temporarily changed to "fool" the subclasses. I believe the correct solution is to pass the in and out cache to the subclasses methods as arguments. Now the data is passes. Can the caches be passed, and data retrieved from the cache?

To create an instance of class vtkImageIterateFilter, simply invoke its constructor as follows

      obj = vtkImageIterateFilter

# Methods

The class vtkImageIterateFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageIterateFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageIterateFilter = obj.NewInstance ()`
- `vtkImageIterateFilter = obj.SafeDownCast (vtkObject o)`
- `int = obj.GetIteration ()` - Get which iteration is current being performed. Normally the user will not access this method.
- `int = obj.GetNumberOfIterations ()` - Get which iteration is current being performed. Normally the user will not access this method.